Go to the first, previous, next, last section, table of contents.

### `irredcheck_ff`

`irredcheck_ff(poly)`
  :: Primality check of a univariate polynomial over a finite field.

return
  0|1
poly
  univariate polynomial over a finite field

- Defined in ``fff'`.
- Returns 1 if poly is irreducible over the current base field. Returns 0 otherwise.

    [178] setmod_ff(2^64-95);
    18446744073709551521
    [179] ] F=x^10+random_ff();
    x^10+14687973587364016969
    [180] irredcheck_ff(F);
    1

`References`
  section `setmod_ff`

Go to the first, previous, next, last section, table of contents.